<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">

<html lang="en">

<head>
  <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
  <title>LCOV - report.info - /home/mila/Desktop/ProjekatRS/08-mainant/headers/ReallyBigFunctionsThatYouDontNeedToSee.h</title>
  <link rel="stylesheet" type="text/css" href="../../../../../../gcov.css">
</head>

<body>

  <table width="100%" border=0 cellspacing=0 cellpadding=0>
    <tr><td class="title">LCOV - code coverage report</td></tr>
    <tr><td class="ruler"><img src="../../../../../../glass.png" width=3 height=3 alt=""></td></tr>

    <tr>
      <td width="100%">
        <table cellpadding=1 border=0 width="100%">
          <tr>
            <td width="10%" class="headerItem">Current view:</td>
            <td width="35%" class="headerValue"><a href="../../../../../../index.html">top level</a> - <a href="index.html">home/mila/Desktop/ProjekatRS/08-mainant/headers</a> - ReallyBigFunctionsThatYouDontNeedToSee.h<span style="font-size: 80%;"> (source / <a href="ReallyBigFunctionsThatYouDontNeedToSee.h.func-sort-c.html">functions</a>)</span></td>
            <td width="5%"></td>
            <td width="15%"></td>
            <td width="10%" class="headerCovTableHead">Hit</td>
            <td width="10%" class="headerCovTableHead">Total</td>
            <td width="15%" class="headerCovTableHead">Coverage</td>
          </tr>
          <tr>
            <td class="headerItem">Test:</td>
            <td class="headerValue">report.info</td>
            <td></td>
            <td class="headerItem">Lines:</td>
            <td class="headerCovTableEntry">140</td>
            <td class="headerCovTableEntry">400</td>
            <td class="headerCovTableEntryLo">35.0 %</td>
          </tr>
          <tr>
            <td class="headerItem">Date:</td>
            <td class="headerValue">2021-03-29 02:25:54</td>
            <td></td>
            <td class="headerItem">Functions:</td>
            <td class="headerCovTableEntry">1</td>
            <td class="headerCovTableEntry">2</td>
            <td class="headerCovTableEntryLo">50.0 %</td>
          </tr>
          <tr><td><img src="../../../../../../glass.png" width=3 height=3 alt=""></td></tr>
        </table>
      </td>
    </tr>

    <tr><td class="ruler"><img src="../../../../../../glass.png" width=3 height=3 alt=""></td></tr>
  </table>

  <table cellpadding=0 cellspacing=0 border=0>
    <tr>
      <td><br></td>
    </tr>
    <tr>
      <td>
<pre class="sourceHeading">          Line data    Source code</pre>
<pre class="source">
<a name="1"><span class="lineNum">       1 </span>            : #ifndef REALLYBIGFUNCTIONSTHATYOUDONTNEEDTOSEE_H</a>
<a name="2"><span class="lineNum">       2 </span>            : #define REALLYBIGFUNCTIONSTHATYOUDONTNEEDTOSEE_H</a>
<a name="3"><span class="lineNum">       3 </span>            : </a>
<a name="4"><span class="lineNum">       4 </span>            : #include &lt;QDebug&gt;</a>
<a name="5"><span class="lineNum">       5 </span>            : #include &lt;QDir&gt;</a>
<a name="6"><span class="lineNum">       6 </span>            : #include &lt;QFileDialog&gt;</a>
<a name="7"><span class="lineNum">       7 </span>            : #include &lt;QFormLayout&gt;</a>
<a name="8"><span class="lineNum">       8 </span>            : #include &lt;QList&gt;</a>
<a name="9"><span class="lineNum">       9 </span>            : #include &lt;QListWidgetItem&gt;</a>
<a name="10"><span class="lineNum">      10 </span>            : #include &lt;QMainWindow&gt;</a>
<a name="11"><span class="lineNum">      11 </span>            : #include &lt;QMessageBox&gt;</a>
<a name="12"><span class="lineNum">      12 </span>            : #include &lt;QPoint&gt;</a>
<a name="13"><span class="lineNum">      13 </span>            : #include &lt;QSettings&gt;</a>
<a name="14"><span class="lineNum">      14 </span>            : #include &lt;QVector&gt;</a>
<a name="15"><span class="lineNum">      15 </span>            : #include &lt;QtCore&gt;</a>
<a name="16"><span class="lineNum">      16 </span>            : #include &lt;QtGui&gt;</a>
<a name="17"><span class="lineNum">      17 </span>            : </a>
<a name="18"><span class="lineNum">      18 </span>            : #include &quot;./headers/CustomGraphicsView.h&quot;</a>
<a name="19"><span class="lineNum">      19 </span>            : #include &quot;./headers/CustomLayout.h&quot;</a>
<a name="20"><span class="lineNum">      20 </span>            : #include &quot;./headers/Node.h&quot;</a>
<a name="21"><span class="lineNum">      21 </span>            : #include &quot;./headers/Parser.h&quot;</a>
<a name="22"><span class="lineNum">      22 </span>            : #include &quot;./headers/SearchBar.h&quot;</a>
<a name="23"><span class="lineNum">      23 </span>            : #include &quot;./headers/nodesHeaders/AssignNode.h&quot;</a>
<a name="24"><span class="lineNum">      24 </span>            : #include &quot;./headers/nodesHeaders/BinaryFunction.h&quot;</a>
<a name="25"><span class="lineNum">      25 </span>            : #include &quot;./headers/nodesHeaders/BodyNode.h&quot;</a>
<a name="26"><span class="lineNum">      26 </span>            : #include &quot;./headers/nodesHeaders/BreakNode.h&quot;</a>
<a name="27"><span class="lineNum">      27 </span>            : #include &quot;./headers/nodesHeaders/ClassInstanceNode.h&quot;</a>
<a name="28"><span class="lineNum">      28 </span>            : #include &quot;./headers/nodesHeaders/ConditionNode.h&quot;</a>
<a name="29"><span class="lineNum">      29 </span>            : #include &quot;./headers/nodesHeaders/ContinueNode.h&quot;</a>
<a name="30"><span class="lineNum">      30 </span>            : #include &quot;./headers/nodesHeaders/ElseIfNode.h&quot;</a>
<a name="31"><span class="lineNum">      31 </span>            : #include &quot;./headers/nodesHeaders/ElseNode.h&quot;</a>
<a name="32"><span class="lineNum">      32 </span>            : #include &quot;./headers/nodesHeaders/EndOfStatement.h&quot;</a>
<a name="33"><span class="lineNum">      33 </span>            : #include &quot;./headers/nodesHeaders/ForInicializeNode.h&quot;</a>
<a name="34"><span class="lineNum">      34 </span>            : #include &quot;./headers/nodesHeaders/ForNode.h&quot;</a>
<a name="35"><span class="lineNum">      35 </span>            : #include &quot;./headers/nodesHeaders/FuncReferenceNode.h&quot;</a>
<a name="36"><span class="lineNum">      36 </span>            : #include &quot;./headers/nodesHeaders/FunctionNode.h&quot;</a>
<a name="37"><span class="lineNum">      37 </span>            : #include &quot;./headers/nodesHeaders/FunctionReturnNode.h&quot;</a>
<a name="38"><span class="lineNum">      38 </span>            : #include &quot;./headers/nodesHeaders/IfNode.h&quot;</a>
<a name="39"><span class="lineNum">      39 </span>            : #include &quot;./headers/nodesHeaders/IncDecNode.h&quot;</a>
<a name="40"><span class="lineNum">      40 </span>            : #include &quot;./headers/nodesHeaders/IncrementNode.h&quot;</a>
<a name="41"><span class="lineNum">      41 </span>            : #include &quot;./headers/nodesHeaders/InputNode.h&quot;</a>
<a name="42"><span class="lineNum">      42 </span>            : #include &quot;./headers/nodesHeaders/MapNode.h&quot;</a>
<a name="43"><span class="lineNum">      43 </span>            : #include &quot;./headers/nodesHeaders/MapOperations.h&quot;</a>
<a name="44"><span class="lineNum">      44 </span>            : #include &quot;./headers/nodesHeaders/MethodNode.h&quot;</a>
<a name="45"><span class="lineNum">      45 </span>            : #include &quot;./headers/nodesHeaders/PrintNode.h&quot;</a>
<a name="46"><span class="lineNum">      46 </span>            : #include &quot;./headers/nodesHeaders/QueueNode.h&quot;</a>
<a name="47"><span class="lineNum">      47 </span>            : #include &quot;./headers/nodesHeaders/QueueOperations.h&quot;</a>
<a name="48"><span class="lineNum">      48 </span>            : #include &quot;./headers/nodesHeaders/ReturNode.h&quot;</a>
<a name="49"><span class="lineNum">      49 </span>            : #include &quot;./headers/nodesHeaders/SrandNode.h&quot;</a>
<a name="50"><span class="lineNum">      50 </span>            : #include &quot;./headers/nodesHeaders/StackNode.h&quot;</a>
<a name="51"><span class="lineNum">      51 </span>            : #include &quot;./headers/nodesHeaders/StackOperations.h&quot;</a>
<a name="52"><span class="lineNum">      52 </span>            : #include &quot;./headers/nodesHeaders/StartNode.h&quot;</a>
<a name="53"><span class="lineNum">      53 </span>            : #include &quot;./headers/nodesHeaders/VarNode.h&quot;</a>
<a name="54"><span class="lineNum">      54 </span>            : #include &quot;./headers/nodesHeaders/VariableReferenceNode.h&quot;</a>
<a name="55"><span class="lineNum">      55 </span>            : #include &quot;./headers/nodesHeaders/VectorNode.h&quot;</a>
<a name="56"><span class="lineNum">      56 </span>            : #include &quot;./headers/nodesHeaders/VectorOperations.h&quot;</a>
<a name="57"><span class="lineNum">      57 </span>            : #include &quot;./headers/nodesHeaders/WhileNode.h&quot;</a>
<a name="58"><span class="lineNum">      58 </span>            : </a>
<a name="59"><span class="lineNum">      59 </span><span class="lineCov">          1 : template &lt;typename T&gt; void functionsListInit(T *w) {</span></a>
<a name="60"><span class="lineNum">      60 </span>            : </a>
<a name="61"><span class="lineNum">      61 </span><span class="lineCov">          2 :   QListWidgetItem *assigne =</span></a>
<a name="62"><span class="lineNum">      62 </span><span class="lineCov">          1 :       new QListWidgetItem(w-&gt;tr(&quot;=&quot;), w-&gt;getUi()-&gt;listWidget);</span></a>
<a name="63"><span class="lineNum">      63 </span><span class="lineCov">          2 :   QListWidgetItem *plus =</span></a>
<a name="64"><span class="lineNum">      64 </span><span class="lineCov">          1 :       new QListWidgetItem(w-&gt;tr(&quot;+&quot;), w-&gt;getUi()-&gt;listWidget);</span></a>
<a name="65"><span class="lineNum">      65 </span><span class="lineCov">          2 :   QListWidgetItem *minus =</span></a>
<a name="66"><span class="lineNum">      66 </span><span class="lineCov">          1 :       new QListWidgetItem(w-&gt;tr(&quot;-&quot;), w-&gt;getUi()-&gt;listWidget);</span></a>
<a name="67"><span class="lineNum">      67 </span><span class="lineCov">          2 :   QListWidgetItem *mul =</span></a>
<a name="68"><span class="lineNum">      68 </span><span class="lineCov">          1 :       new QListWidgetItem(w-&gt;tr(&quot;*&quot;), w-&gt;getUi()-&gt;listWidget);</span></a>
<a name="69"><span class="lineNum">      69 </span><span class="lineCov">          2 :   QListWidgetItem *div =</span></a>
<a name="70"><span class="lineNum">      70 </span><span class="lineCov">          1 :       new QListWidgetItem(w-&gt;tr(&quot;/&quot;), w-&gt;getUi()-&gt;listWidget);</span></a>
<a name="71"><span class="lineNum">      71 </span><span class="lineCov">          2 :   QListWidgetItem *mod =</span></a>
<a name="72"><span class="lineNum">      72 </span><span class="lineCov">          1 :       new QListWidgetItem(w-&gt;tr(&quot;%&quot;), w-&gt;getUi()-&gt;listWidget);</span></a>
<a name="73"><span class="lineNum">      73 </span><span class="lineCov">          2 :   QListWidgetItem *less =</span></a>
<a name="74"><span class="lineNum">      74 </span><span class="lineCov">          1 :       new QListWidgetItem(w-&gt;tr(&quot;&lt;&quot;), w-&gt;getUi()-&gt;listWidget);</span></a>
<a name="75"><span class="lineNum">      75 </span><span class="lineCov">          2 :   QListWidgetItem *input =</span></a>
<a name="76"><span class="lineNum">      76 </span><span class="lineCov">          1 :       new QListWidgetItem(w-&gt;tr(&quot;+Input&quot;), w-&gt;getUi()-&gt;listWidget);</span></a>
<a name="77"><span class="lineNum">      77 </span><span class="lineCov">          2 :   QListWidgetItem *print =</span></a>
<a name="78"><span class="lineNum">      78 </span><span class="lineCov">          1 :       new QListWidgetItem(w-&gt;tr(&quot;+Print&quot;), w-&gt;getUi()-&gt;listWidget);</span></a>
<a name="79"><span class="lineNum">      79 </span><span class="lineCov">          2 :   QListWidgetItem *ret =</span></a>
<a name="80"><span class="lineNum">      80 </span><span class="lineCov">          1 :       new QListWidgetItem(w-&gt;tr(&quot;+Return&quot;), w-&gt;getUi()-&gt;listWidget);</span></a>
<a name="81"><span class="lineNum">      81 </span><span class="lineCov">          2 :   QListWidgetItem *start =</span></a>
<a name="82"><span class="lineNum">      82 </span><span class="lineCov">          1 :       new QListWidgetItem(w-&gt;tr(&quot;+Start&quot;), w-&gt;getUi()-&gt;listWidget);</span></a>
<a name="83"><span class="lineNum">      83 </span><span class="lineCov">          2 :   QListWidgetItem *ifNode =</span></a>
<a name="84"><span class="lineNum">      84 </span><span class="lineCov">          1 :       new QListWidgetItem(w-&gt;tr(&quot;+If&quot;), w-&gt;getUi()-&gt;listWidget);</span></a>
<a name="85"><span class="lineNum">      85 </span><span class="lineCov">          2 :   QListWidgetItem *cond =</span></a>
<a name="86"><span class="lineNum">      86 </span><span class="lineCov">          1 :       new QListWidgetItem(w-&gt;tr(&quot;+Condition&quot;), w-&gt;getUi()-&gt;listWidget);</span></a>
<a name="87"><span class="lineNum">      87 </span><span class="lineCov">          2 :   QListWidgetItem *elseNode =</span></a>
<a name="88"><span class="lineNum">      88 </span><span class="lineCov">          1 :       new QListWidgetItem(w-&gt;tr(&quot;+Else&quot;), w-&gt;getUi()-&gt;listWidget);</span></a>
<a name="89"><span class="lineNum">      89 </span><span class="lineCov">          2 :   QListWidgetItem *elseIfNode =</span></a>
<a name="90"><span class="lineNum">      90 </span><span class="lineCov">          1 :       new QListWidgetItem(w-&gt;tr(&quot;+ElseIf&quot;), w-&gt;getUi()-&gt;listWidget);</span></a>
<a name="91"><span class="lineNum">      91 </span><span class="lineCov">          2 :   QListWidgetItem *body =</span></a>
<a name="92"><span class="lineNum">      92 </span><span class="lineCov">          1 :       new QListWidgetItem(w-&gt;tr(&quot;+Body&quot;), w-&gt;getUi()-&gt;listWidget);</span></a>
<a name="93"><span class="lineNum">      93 </span><span class="lineCov">          2 :   QListWidgetItem *forNode =</span></a>
<a name="94"><span class="lineNum">      94 </span><span class="lineCov">          1 :       new QListWidgetItem(w-&gt;tr(&quot;+For&quot;), w-&gt;getUi()-&gt;listWidget);</span></a>
<a name="95"><span class="lineNum">      95 </span><span class="lineCov">          2 :   QListWidgetItem *inc =</span></a>
<a name="96"><span class="lineNum">      96 </span><span class="lineCov">          1 :       new QListWidgetItem(w-&gt;tr(&quot;+Increment&quot;), w-&gt;getUi()-&gt;listWidget);</span></a>
<a name="97"><span class="lineNum">      97 </span><span class="lineCov">          2 :   QListWidgetItem *init =</span></a>
<a name="98"><span class="lineNum">      98 </span><span class="lineCov">          1 :       new QListWidgetItem(w-&gt;tr(&quot;+ForInitialize&quot;), w-&gt;getUi()-&gt;listWidget);</span></a>
<a name="99"><span class="lineNum">      99 </span><span class="lineCov">          2 :   QListWidgetItem *whileNode =</span></a>
<a name="100"><span class="lineNum">     100 </span><span class="lineCov">          1 :       new QListWidgetItem(w-&gt;tr(&quot;+While&quot;), w-&gt;getUi()-&gt;listWidget);</span></a>
<a name="101"><span class="lineNum">     101 </span><span class="lineCov">          2 :   QListWidgetItem *varNode =</span></a>
<a name="102"><span class="lineNum">     102 </span><span class="lineCov">          1 :       new QListWidgetItem(w-&gt;tr(&quot;+Var&quot;), w-&gt;getUi()-&gt;listWidget);</span></a>
<a name="103"><span class="lineNum">     103 </span><span class="lineCov">          2 :   QListWidgetItem *vectorNode =</span></a>
<a name="104"><span class="lineNum">     104 </span><span class="lineCov">          1 :       new QListWidgetItem(w-&gt;tr(&quot;+Vector&quot;), w-&gt;getUi()-&gt;listWidget);</span></a>
<a name="105"><span class="lineNum">     105 </span><span class="lineCov">          2 :   QListWidgetItem *VectorOperations =</span></a>
<a name="106"><span class="lineNum">     106 </span><span class="lineCov">          1 :       new QListWidgetItem(w-&gt;tr(&quot;+VectorOperations&quot;), w-&gt;getUi()-&gt;listWidget);</span></a>
<a name="107"><span class="lineNum">     107 </span><span class="lineCov">          2 :   QListWidgetItem *vece =</span></a>
<a name="108"><span class="lineNum">     108 </span><span class="lineCov">          1 :       new QListWidgetItem(w-&gt;tr(&quot;&gt;&quot;), w-&gt;getUi()-&gt;listWidget);</span></a>
<a name="109"><span class="lineNum">     109 </span><span class="lineCov">          2 :   QListWidgetItem *i =</span></a>
<a name="110"><span class="lineNum">     110 </span><span class="lineCov">          1 :       new QListWidgetItem(w-&gt;tr(&quot;AND&quot;), w-&gt;getUi()-&gt;listWidget);</span></a>
<a name="111"><span class="lineNum">     111 </span><span class="lineCov">          2 :   QListWidgetItem *ili =</span></a>
<a name="112"><span class="lineNum">     112 </span><span class="lineCov">          1 :       new QListWidgetItem(w-&gt;tr(&quot;OR&quot;), w-&gt;getUi()-&gt;listWidget);</span></a>
<a name="113"><span class="lineNum">     113 </span><span class="lineCov">          2 :   QListWidgetItem *jednako =</span></a>
<a name="114"><span class="lineNum">     114 </span><span class="lineCov">          1 :       new QListWidgetItem(w-&gt;tr(&quot;==&quot;), w-&gt;getUi()-&gt;listWidget);</span></a>
<a name="115"><span class="lineNum">     115 </span><span class="lineCov">          2 :   QListWidgetItem *lessEq =</span></a>
<a name="116"><span class="lineNum">     116 </span><span class="lineCov">          1 :       new QListWidgetItem(w-&gt;tr(&quot;&lt;=&quot;), w-&gt;getUi()-&gt;listWidget);</span></a>
<a name="117"><span class="lineNum">     117 </span><span class="lineCov">          2 :   QListWidgetItem *greaterEq =</span></a>
<a name="118"><span class="lineNum">     118 </span><span class="lineCov">          1 :       new QListWidgetItem(w-&gt;tr(&quot;&gt;=&quot;), w-&gt;getUi()-&gt;listWidget);</span></a>
<a name="119"><span class="lineNum">     119 </span><span class="lineCov">          2 :   QListWidgetItem *stackNode =</span></a>
<a name="120"><span class="lineNum">     120 </span><span class="lineCov">          1 :       new QListWidgetItem(w-&gt;tr(&quot;+Stack&quot;), w-&gt;getUi()-&gt;listWidget);</span></a>
<a name="121"><span class="lineNum">     121 </span><span class="lineCov">          2 :   QListWidgetItem *stackOperations =</span></a>
<a name="122"><span class="lineNum">     122 </span><span class="lineCov">          1 :       new QListWidgetItem(w-&gt;tr(&quot;+StackOperations&quot;), w-&gt;getUi()-&gt;listWidget);</span></a>
<a name="123"><span class="lineNum">     123 </span><span class="lineCov">          2 :   QListWidgetItem *queueNode =</span></a>
<a name="124"><span class="lineNum">     124 </span><span class="lineCov">          1 :       new QListWidgetItem(w-&gt;tr(&quot;+Queue&quot;), w-&gt;getUi()-&gt;listWidget);</span></a>
<a name="125"><span class="lineNum">     125 </span><span class="lineCov">          2 :   QListWidgetItem *queueOperations =</span></a>
<a name="126"><span class="lineNum">     126 </span><span class="lineCov">          1 :       new QListWidgetItem(w-&gt;tr(&quot;+QueueOperations&quot;), w-&gt;getUi()-&gt;listWidget);</span></a>
<a name="127"><span class="lineNum">     127 </span><span class="lineCov">          2 :   QListWidgetItem *endOfStatement =</span></a>
<a name="128"><span class="lineNum">     128 </span><span class="lineCov">          1 :       new QListWidgetItem(w-&gt;tr(&quot;;&quot;), w-&gt;getUi()-&gt;listWidget);</span></a>
<a name="129"><span class="lineNum">     129 </span><span class="lineCov">          2 :   QListWidgetItem *incDec =</span></a>
<a name="130"><span class="lineNum">     130 </span><span class="lineCov">          1 :       new QListWidgetItem(w-&gt;tr(&quot;++/--&quot;), w-&gt;getUi()-&gt;listWidget);</span></a>
<a name="131"><span class="lineNum">     131 </span><span class="lineCov">          2 :   QListWidgetItem *dictionary =</span></a>
<a name="132"><span class="lineNum">     132 </span><span class="lineCov">          1 :       new QListWidgetItem(w-&gt;tr(&quot;+Dictionary&quot;), w-&gt;getUi()-&gt;listWidget);</span></a>
<a name="133"><span class="lineNum">     133 </span><span class="lineCov">          2 :   QListWidgetItem *time =</span></a>
<a name="134"><span class="lineNum">     134 </span><span class="lineCov">          1 :       new QListWidgetItem(w-&gt;tr(&quot;+Time&quot;), w-&gt;getUi()-&gt;listWidget);</span></a>
<a name="135"><span class="lineNum">     135 </span><span class="lineCov">          2 :   QListWidgetItem *rand =</span></a>
<a name="136"><span class="lineNum">     136 </span><span class="lineCov">          1 :       new QListWidgetItem(w-&gt;tr(&quot;+Rand&quot;), w-&gt;getUi()-&gt;listWidget);</span></a>
<a name="137"><span class="lineNum">     137 </span><span class="lineCov">          2 :   QListWidgetItem *srand =</span></a>
<a name="138"><span class="lineNum">     138 </span><span class="lineCov">          1 :       new QListWidgetItem(w-&gt;tr(&quot;+srand&quot;), w-&gt;getUi()-&gt;listWidget);</span></a>
<a name="139"><span class="lineNum">     139 </span><span class="lineCov">          2 :   QListWidgetItem *pi =</span></a>
<a name="140"><span class="lineNum">     140 </span><span class="lineCov">          1 :       new QListWidgetItem(w-&gt;tr(&quot;+PI&quot;), w-&gt;getUi()-&gt;listWidget);</span></a>
<a name="141"><span class="lineNum">     141 </span><span class="lineCov">          2 :   QListWidgetItem *breakNode =</span></a>
<a name="142"><span class="lineNum">     142 </span><span class="lineCov">          1 :       new QListWidgetItem(w-&gt;tr(&quot;+Break&quot;), w-&gt;getUi()-&gt;listWidget);</span></a>
<a name="143"><span class="lineNum">     143 </span><span class="lineCov">          2 :   QListWidgetItem *continueNode =</span></a>
<a name="144"><span class="lineNum">     144 </span><span class="lineCov">          1 :       new QListWidgetItem(w-&gt;tr(&quot;+Continue&quot;), w-&gt;getUi()-&gt;listWidget);</span></a>
<a name="145"><span class="lineNum">     145 </span><span class="lineCov">          2 :   QListWidgetItem *mapOperations = new QListWidgetItem(</span></a>
<a name="146"><span class="lineNum">     146 </span><span class="lineCov">          1 :       w-&gt;tr(&quot;+DictionaryOperations&quot;), w-&gt;getUi()-&gt;listWidget);</span></a>
<a name="147"><span class="lineNum">     147 </span><span class="lineCov">          2 :   QListWidgetItem *_not =</span></a>
<a name="148"><span class="lineNum">     148 </span><span class="lineCov">          1 :       new QListWidgetItem(w-&gt;tr(&quot;NOT&quot;), w-&gt;getUi()-&gt;listWidget);</span></a>
<a name="149"><span class="lineNum">     149 </span><span class="lineCov">          2 :   QListWidgetItem *toString =</span></a>
<a name="150"><span class="lineNum">     150 </span><span class="lineCov">          1 :       new QListWidgetItem(w-&gt;tr(&quot;+toString&quot;), w-&gt;getUi()-&gt;listWidget);</span></a>
<a name="151"><span class="lineNum">     151 </span><span class="lineCov">          2 :   QListWidgetItem *toInt =</span></a>
<a name="152"><span class="lineNum">     152 </span><span class="lineCov">          1 :       new QListWidgetItem(w-&gt;tr(&quot;+toInt&quot;), w-&gt;getUi()-&gt;listWidget);</span></a>
<a name="153"><span class="lineNum">     153 </span>            : </a>
<a name="154"><span class="lineNum">     154 </span><span class="lineCov">          1 :   w-&gt;_functionList.append(*assigne);</span></a>
<a name="155"><span class="lineNum">     155 </span><span class="lineCov">          1 :   w-&gt;_functionList.append(*plus);</span></a>
<a name="156"><span class="lineNum">     156 </span><span class="lineCov">          1 :   w-&gt;_functionList.append(*minus);</span></a>
<a name="157"><span class="lineNum">     157 </span><span class="lineCov">          1 :   w-&gt;_functionList.append(*mul);</span></a>
<a name="158"><span class="lineNum">     158 </span><span class="lineCov">          1 :   w-&gt;_functionList.append(*div);</span></a>
<a name="159"><span class="lineNum">     159 </span><span class="lineCov">          1 :   w-&gt;_functionList.append(*mod);</span></a>
<a name="160"><span class="lineNum">     160 </span><span class="lineCov">          1 :   w-&gt;_functionList.append(*less);</span></a>
<a name="161"><span class="lineNum">     161 </span><span class="lineCov">          1 :   w-&gt;_functionList.append(*lessEq);</span></a>
<a name="162"><span class="lineNum">     162 </span><span class="lineCov">          1 :   w-&gt;_functionList.append(*vece);</span></a>
<a name="163"><span class="lineNum">     163 </span><span class="lineCov">          1 :   w-&gt;_functionList.append(*greaterEq);</span></a>
<a name="164"><span class="lineNum">     164 </span><span class="lineCov">          1 :   w-&gt;_functionList.append(*jednako);</span></a>
<a name="165"><span class="lineNum">     165 </span><span class="lineCov">          1 :   w-&gt;_functionList.append(*i);</span></a>
<a name="166"><span class="lineNum">     166 </span><span class="lineCov">          1 :   w-&gt;_functionList.append(*ili);</span></a>
<a name="167"><span class="lineNum">     167 </span><span class="lineCov">          1 :   w-&gt;_functionList.append(*_not);</span></a>
<a name="168"><span class="lineNum">     168 </span>            : </a>
<a name="169"><span class="lineNum">     169 </span><span class="lineCov">          1 :   w-&gt;_functionList.append(*varNode);</span></a>
<a name="170"><span class="lineNum">     170 </span><span class="lineCov">          1 :   w-&gt;_functionList.append(*ifNode);</span></a>
<a name="171"><span class="lineNum">     171 </span><span class="lineCov">          1 :   w-&gt;_functionList.append(*elseNode);</span></a>
<a name="172"><span class="lineNum">     172 </span><span class="lineCov">          1 :   w-&gt;_functionList.append(*elseIfNode);</span></a>
<a name="173"><span class="lineNum">     173 </span><span class="lineCov">          1 :   w-&gt;_functionList.append(*cond);</span></a>
<a name="174"><span class="lineNum">     174 </span><span class="lineCov">          1 :   w-&gt;_functionList.append(*body);</span></a>
<a name="175"><span class="lineNum">     175 </span><span class="lineCov">          1 :   w-&gt;_functionList.append(*forNode);</span></a>
<a name="176"><span class="lineNum">     176 </span><span class="lineCov">          1 :   w-&gt;_functionList.append(*inc);</span></a>
<a name="177"><span class="lineNum">     177 </span><span class="lineCov">          1 :   w-&gt;_functionList.append(*init);</span></a>
<a name="178"><span class="lineNum">     178 </span><span class="lineCov">          1 :   w-&gt;_functionList.append(*whileNode);</span></a>
<a name="179"><span class="lineNum">     179 </span><span class="lineCov">          1 :   w-&gt;_functionList.append(*breakNode);</span></a>
<a name="180"><span class="lineNum">     180 </span><span class="lineCov">          1 :   w-&gt;_functionList.append(*continueNode);</span></a>
<a name="181"><span class="lineNum">     181 </span>            : </a>
<a name="182"><span class="lineNum">     182 </span><span class="lineCov">          1 :   w-&gt;_functionList.append(*input);</span></a>
<a name="183"><span class="lineNum">     183 </span><span class="lineCov">          1 :   w-&gt;_functionList.append(*print);</span></a>
<a name="184"><span class="lineNum">     184 </span><span class="lineCov">          1 :   w-&gt;_functionList.append(*start);</span></a>
<a name="185"><span class="lineNum">     185 </span><span class="lineCov">          1 :   w-&gt;_functionList.append(*ret);</span></a>
<a name="186"><span class="lineNum">     186 </span><span class="lineCov">          1 :   w-&gt;_functionList.append(*toString);</span></a>
<a name="187"><span class="lineNum">     187 </span><span class="lineCov">          1 :   w-&gt;_functionList.append(*toInt);</span></a>
<a name="188"><span class="lineNum">     188 </span>            : </a>
<a name="189"><span class="lineNum">     189 </span><span class="lineCov">          1 :   w-&gt;_functionList.append(*vectorNode);</span></a>
<a name="190"><span class="lineNum">     190 </span><span class="lineCov">          1 :   w-&gt;_functionList.append(*VectorOperations);</span></a>
<a name="191"><span class="lineNum">     191 </span><span class="lineCov">          1 :   w-&gt;_functionList.append(*stackNode);</span></a>
<a name="192"><span class="lineNum">     192 </span><span class="lineCov">          1 :   w-&gt;_functionList.append(*stackOperations);</span></a>
<a name="193"><span class="lineNum">     193 </span><span class="lineCov">          1 :   w-&gt;_functionList.append(*queueNode);</span></a>
<a name="194"><span class="lineNum">     194 </span><span class="lineCov">          1 :   w-&gt;_functionList.append(*queueOperations);</span></a>
<a name="195"><span class="lineNum">     195 </span><span class="lineCov">          1 :   w-&gt;_functionList.append(*endOfStatement);</span></a>
<a name="196"><span class="lineNum">     196 </span><span class="lineCov">          1 :   w-&gt;_functionList.append(*dictionary);</span></a>
<a name="197"><span class="lineNum">     197 </span><span class="lineCov">          1 :   w-&gt;_functionList.append(*mapOperations);</span></a>
<a name="198"><span class="lineNum">     198 </span><span class="lineCov">          1 :   w-&gt;_functionList.append(*incDec);</span></a>
<a name="199"><span class="lineNum">     199 </span>            : </a>
<a name="200"><span class="lineNum">     200 </span><span class="lineCov">          1 :   w-&gt;_functionList.append(*time);</span></a>
<a name="201"><span class="lineNum">     201 </span><span class="lineCov">          1 :   w-&gt;_functionList.append(*rand);</span></a>
<a name="202"><span class="lineNum">     202 </span><span class="lineCov">          1 :   w-&gt;_functionList.append(*srand);</span></a>
<a name="203"><span class="lineNum">     203 </span><span class="lineCov">          1 :   w-&gt;_functionList.append(*pi);</span></a>
<a name="204"><span class="lineNum">     204 </span><span class="lineCov">          1 : }</span></a>
<a name="205"><span class="lineNum">     205 </span>            : </a>
<a name="206"><span class="lineNum">     206 </span><span class="lineNoCov">          0 : template &lt;class T&gt; void putNode(QListWidgetItem *item, T *w) {</span></a>
<a name="207"><span class="lineNum">     207 </span>            :   QListWidgetItem *variable;</a>
<a name="208"><span class="lineNum">     208 </span>            : </a>
<a name="209"><span class="lineNum">     209 </span><span class="lineNoCov">          0 :   if (item-&gt;text().compare(&quot;=&quot;) == 0) {</span></a>
<a name="210"><span class="lineNum">     210 </span><span class="lineNoCov">          0 :     AssignNode *n = new AssignNode();</span></a>
<a name="211"><span class="lineNum">     211 </span><span class="lineNoCov">          0 :     w-&gt;getUi()-&gt;StagingArea-&gt;addWidget(n);</span></a>
<a name="212"><span class="lineNum">     212 </span><span class="lineNoCov">          0 :     w-&gt;getParser()-&gt;addNode(n, new QString(&quot;Assigne&quot;));</span></a>
<a name="213"><span class="lineNum">     213 </span><span class="lineNoCov">          0 :   } else if (item-&gt;text().compare(&quot;+&quot;) == 0) {</span></a>
<a name="214"><span class="lineNum">     214 </span><span class="lineNoCov">          0 :     BinaryFunction *n = new BinaryFunction(&quot;Binary_plus&quot;, 3, 1);</span></a>
<a name="215"><span class="lineNum">     215 </span><span class="lineNoCov">          0 :     w-&gt;getUi()-&gt;StagingArea-&gt;addWidget(n);</span></a>
<a name="216"><span class="lineNum">     216 </span><span class="lineNoCov">          0 :     w-&gt;getParser()-&gt;addNode(n, new QString(&quot;plus&quot;));</span></a>
<a name="217"><span class="lineNum">     217 </span><span class="lineNoCov">          0 :   } else if (item-&gt;text().compare(&quot;-&quot;) == 0) {</span></a>
<a name="218"><span class="lineNum">     218 </span><span class="lineNoCov">          0 :     BinaryFunction *n = new BinaryFunction(&quot;Binary_minus&quot;, 3, 1);</span></a>
<a name="219"><span class="lineNum">     219 </span><span class="lineNoCov">          0 :     w-&gt;getUi()-&gt;StagingArea-&gt;addWidget(n);</span></a>
<a name="220"><span class="lineNum">     220 </span><span class="lineNoCov">          0 :     w-&gt;getParser()-&gt;addNode(n, new QString(&quot;minus&quot;));</span></a>
<a name="221"><span class="lineNum">     221 </span><span class="lineNoCov">          0 :   } else if (item-&gt;text().compare(&quot;*&quot;) == 0) {</span></a>
<a name="222"><span class="lineNum">     222 </span><span class="lineNoCov">          0 :     BinaryFunction *n = new BinaryFunction(&quot;Binary_puta&quot;, 3, 1);</span></a>
<a name="223"><span class="lineNum">     223 </span><span class="lineNoCov">          0 :     w-&gt;getUi()-&gt;StagingArea-&gt;addWidget(n);</span></a>
<a name="224"><span class="lineNum">     224 </span><span class="lineNoCov">          0 :     w-&gt;getParser()-&gt;addNode(n, new QString(&quot;MulNode&quot;));</span></a>
<a name="225"><span class="lineNum">     225 </span><span class="lineNoCov">          0 :   } else if (item-&gt;text().compare(&quot;/&quot;) == 0) {</span></a>
<a name="226"><span class="lineNum">     226 </span><span class="lineNoCov">          0 :     BinaryFunction *n = new BinaryFunction(&quot;Binary_podeljeno&quot;, 3, 1);</span></a>
<a name="227"><span class="lineNum">     227 </span><span class="lineNoCov">          0 :     w-&gt;getUi()-&gt;StagingArea-&gt;addWidget(n);</span></a>
<a name="228"><span class="lineNum">     228 </span><span class="lineNoCov">          0 :     w-&gt;getParser()-&gt;addNode(n, new QString(&quot;DivNode&quot;));</span></a>
<a name="229"><span class="lineNum">     229 </span><span class="lineNoCov">          0 :   } else if (item-&gt;text().compare(&quot;%&quot;) == 0) {</span></a>
<a name="230"><span class="lineNum">     230 </span><span class="lineNoCov">          0 :     BinaryFunction *n = new BinaryFunction(&quot;Binary_mod&quot;, 3, 1);</span></a>
<a name="231"><span class="lineNum">     231 </span><span class="lineNoCov">          0 :     w-&gt;getUi()-&gt;StagingArea-&gt;addWidget(n);</span></a>
<a name="232"><span class="lineNum">     232 </span><span class="lineNoCov">          0 :     w-&gt;getParser()-&gt;addNode(n, new QString(&quot;ModNode&quot;));</span></a>
<a name="233"><span class="lineNum">     233 </span><span class="lineNoCov">          0 :   } else if (item-&gt;text().compare(&quot;&lt;&quot;) == 0) {</span></a>
<a name="234"><span class="lineNum">     234 </span><span class="lineNoCov">          0 :     BinaryFunction *n = new BinaryFunction(&quot;Binary_manje&quot;, 3, 1);</span></a>
<a name="235"><span class="lineNum">     235 </span><span class="lineNoCov">          0 :     w-&gt;getUi()-&gt;StagingArea-&gt;addWidget(n);</span></a>
<a name="236"><span class="lineNum">     236 </span><span class="lineNoCov">          0 :     w-&gt;getParser()-&gt;addNode(n, new QString(&quot;LTNODE&quot;));</span></a>
<a name="237"><span class="lineNum">     237 </span><span class="lineNoCov">          0 :   } else if (item-&gt;text().compare(&quot;+Input&quot;) == 0) {</span></a>
<a name="238"><span class="lineNum">     238 </span><span class="lineNoCov">          0 :     InputNode *n = new InputNode();</span></a>
<a name="239"><span class="lineNum">     239 </span><span class="lineNoCov">          0 :     w-&gt;getUi()-&gt;StagingArea-&gt;addWidget(n);</span></a>
<a name="240"><span class="lineNum">     240 </span><span class="lineNoCov">          0 :     w-&gt;getParser()-&gt;addNode(n, new QString(&quot;InputNode&quot;));</span></a>
<a name="241"><span class="lineNum">     241 </span><span class="lineNoCov">          0 :     w-&gt;getParser()-&gt;setHeader(&quot;io&quot;);</span></a>
<a name="242"><span class="lineNum">     242 </span><span class="lineNoCov">          0 :   } else if (item-&gt;text().compare(&quot;+Print&quot;) == 0) {</span></a>
<a name="243"><span class="lineNum">     243 </span><span class="lineNoCov">          0 :     PrintNode *n = new PrintNode();</span></a>
<a name="244"><span class="lineNum">     244 </span><span class="lineNoCov">          0 :     w-&gt;getUi()-&gt;StagingArea-&gt;addWidget(n);</span></a>
<a name="245"><span class="lineNum">     245 </span><span class="lineNoCov">          0 :     w-&gt;getParser()-&gt;addNode(n, new QString(&quot;PrintNode&quot;));</span></a>
<a name="246"><span class="lineNum">     246 </span><span class="lineNoCov">          0 :     w-&gt;getParser()-&gt;setHeader(&quot;io&quot;);</span></a>
<a name="247"><span class="lineNum">     247 </span><span class="lineNoCov">          0 :   } else if (item-&gt;text().compare(&quot;+Return&quot;) == 0) {</span></a>
<a name="248"><span class="lineNum">     248 </span><span class="lineNoCov">          0 :     ReturnNode *n = new ReturnNode();</span></a>
<a name="249"><span class="lineNum">     249 </span><span class="lineNoCov">          0 :     w-&gt;getUi()-&gt;StagingArea-&gt;addWidget(n);</span></a>
<a name="250"><span class="lineNum">     250 </span><span class="lineNoCov">          0 :     w-&gt;getParser()-&gt;addNode(n, new QString(&quot;ReturnNode&quot;));</span></a>
<a name="251"><span class="lineNum">     251 </span><span class="lineNoCov">          0 :     w-&gt;getParser()-&gt;setHeader(&quot;cstdio&quot;);</span></a>
<a name="252"><span class="lineNum">     252 </span><span class="lineNoCov">          0 :   } else if (item-&gt;text().compare(&quot;+Start&quot;) == 0) {</span></a>
<a name="253"><span class="lineNum">     253 </span><span class="lineNoCov">          0 :     StartNode *n = new StartNode();</span></a>
<a name="254"><span class="lineNum">     254 </span><span class="lineNoCov">          0 :     w-&gt;getUi()-&gt;StagingArea-&gt;addWidget(n);</span></a>
<a name="255"><span class="lineNum">     255 </span><span class="lineNoCov">          0 :     w-&gt;getParser()-&gt;addNode(n, new QString(&quot;StartNode&quot;));</span></a>
<a name="256"><span class="lineNum">     256 </span><span class="lineNoCov">          0 :     w-&gt;getParser()-&gt;addNewStart(n);</span></a>
<a name="257"><span class="lineNum">     257 </span><span class="lineNoCov">          0 :   } else if (item-&gt;text().compare(&quot;+If&quot;) == 0) {</span></a>
<a name="258"><span class="lineNum">     258 </span><span class="lineNoCov">          0 :     IfNode *n = new IfNode();</span></a>
<a name="259"><span class="lineNum">     259 </span><span class="lineNoCov">          0 :     w-&gt;getUi()-&gt;StagingArea-&gt;addWidget(n);</span></a>
<a name="260"><span class="lineNum">     260 </span><span class="lineNoCov">          0 :     w-&gt;getParser()-&gt;addNode(n, new QString(&quot;IfNode&quot;));</span></a>
<a name="261"><span class="lineNum">     261 </span><span class="lineNoCov">          0 :   } else if (item-&gt;text().compare(&quot;+Condition&quot;) == 0) {</span></a>
<a name="262"><span class="lineNum">     262 </span><span class="lineNoCov">          0 :     ConditionNode *n = new ConditionNode();</span></a>
<a name="263"><span class="lineNum">     263 </span><span class="lineNoCov">          0 :     w-&gt;getUi()-&gt;StagingArea-&gt;addWidget(n);</span></a>
<a name="264"><span class="lineNum">     264 </span><span class="lineNoCov">          0 :     w-&gt;getParser()-&gt;addNode(n, new QString(&quot;ConditionNode&quot;));</span></a>
<a name="265"><span class="lineNum">     265 </span><span class="lineNoCov">          0 :   } else if (item-&gt;text().compare(&quot;+Else&quot;) == 0) {</span></a>
<a name="266"><span class="lineNum">     266 </span><span class="lineNoCov">          0 :     ElseNode *n = new ElseNode();</span></a>
<a name="267"><span class="lineNum">     267 </span><span class="lineNoCov">          0 :     w-&gt;getUi()-&gt;StagingArea-&gt;addWidget(n);</span></a>
<a name="268"><span class="lineNum">     268 </span><span class="lineNoCov">          0 :     w-&gt;getParser()-&gt;addNode(n, new QString(&quot;ElseNode&quot;));</span></a>
<a name="269"><span class="lineNum">     269 </span><span class="lineNoCov">          0 :   } else if (item-&gt;text().compare(&quot;+ElseIf&quot;) == 0) {</span></a>
<a name="270"><span class="lineNum">     270 </span><span class="lineNoCov">          0 :     ElseIfNode *n = new ElseIfNode();</span></a>
<a name="271"><span class="lineNum">     271 </span><span class="lineNoCov">          0 :     w-&gt;getUi()-&gt;StagingArea-&gt;addWidget(n);</span></a>
<a name="272"><span class="lineNum">     272 </span><span class="lineNoCov">          0 :     w-&gt;getParser()-&gt;addNode(n, new QString(&quot;ElseIFNode&quot;));</span></a>
<a name="273"><span class="lineNum">     273 </span><span class="lineNoCov">          0 :   } else if (item-&gt;text().compare(&quot;+Body&quot;) == 0) {</span></a>
<a name="274"><span class="lineNum">     274 </span><span class="lineNoCov">          0 :     BodyNode *n = new BodyNode();</span></a>
<a name="275"><span class="lineNum">     275 </span><span class="lineNoCov">          0 :     w-&gt;getUi()-&gt;StagingArea-&gt;addWidget(n);</span></a>
<a name="276"><span class="lineNum">     276 </span><span class="lineNoCov">          0 :     w-&gt;getParser()-&gt;addNode(n, new QString(&quot;BodyNode&quot;));</span></a>
<a name="277"><span class="lineNum">     277 </span><span class="lineNoCov">          0 :   } else if (item-&gt;text().compare(&quot;+For&quot;) == 0) {</span></a>
<a name="278"><span class="lineNum">     278 </span><span class="lineNoCov">          0 :     ForNode *n = new ForNode();</span></a>
<a name="279"><span class="lineNum">     279 </span><span class="lineNoCov">          0 :     w-&gt;getUi()-&gt;StagingArea-&gt;addWidget(n);</span></a>
<a name="280"><span class="lineNum">     280 </span><span class="lineNoCov">          0 :     w-&gt;getParser()-&gt;addNode(n, new QString(&quot;ForNode&quot;));</span></a>
<a name="281"><span class="lineNum">     281 </span><span class="lineNoCov">          0 :   } else if (item-&gt;text().compare(&quot;+Increment&quot;) == 0) {</span></a>
<a name="282"><span class="lineNum">     282 </span><span class="lineNoCov">          0 :     IncrementNode *n = new IncrementNode();</span></a>
<a name="283"><span class="lineNum">     283 </span><span class="lineNoCov">          0 :     w-&gt;getUi()-&gt;StagingArea-&gt;addWidget(n);</span></a>
<a name="284"><span class="lineNum">     284 </span><span class="lineNoCov">          0 :     w-&gt;getParser()-&gt;addNode(n, new QString(&quot;IncrementNode&quot;));</span></a>
<a name="285"><span class="lineNum">     285 </span><span class="lineNoCov">          0 :   } else if (item-&gt;text().compare(&quot;+ForInitialize&quot;) == 0) {</span></a>
<a name="286"><span class="lineNum">     286 </span><span class="lineNoCov">          0 :     ForInicializeNode *n = new ForInicializeNode();</span></a>
<a name="287"><span class="lineNum">     287 </span><span class="lineNoCov">          0 :     w-&gt;getUi()-&gt;StagingArea-&gt;addWidget(n);</span></a>
<a name="288"><span class="lineNum">     288 </span><span class="lineNoCov">          0 :     w-&gt;getParser()-&gt;addNode(n, new QString(&quot;ForInicializeNode&quot;));</span></a>
<a name="289"><span class="lineNum">     289 </span><span class="lineNoCov">          0 :   } else if (item-&gt;text().compare(&quot;+While&quot;) == 0) {</span></a>
<a name="290"><span class="lineNum">     290 </span><span class="lineNoCov">          0 :     WhileNode *n = new WhileNode();</span></a>
<a name="291"><span class="lineNum">     291 </span><span class="lineNoCov">          0 :     w-&gt;getUi()-&gt;StagingArea-&gt;addWidget(n);</span></a>
<a name="292"><span class="lineNum">     292 </span><span class="lineNoCov">          0 :     w-&gt;getParser()-&gt;addNode(n, new QString(&quot;WhileNode&quot;));</span></a>
<a name="293"><span class="lineNum">     293 </span><span class="lineNoCov">          0 :   } else if (item-&gt;text().compare(&quot;+Var&quot;) == 0) {</span></a>
<a name="294"><span class="lineNum">     294 </span><span class="lineNoCov">          0 :     VarNode *n = new VarNode();</span></a>
<a name="295"><span class="lineNum">     295 </span><span class="lineNoCov">          0 :     w-&gt;getUi()-&gt;StagingArea-&gt;addWidget(n);</span></a>
<a name="296"><span class="lineNum">     296 </span><span class="lineNoCov">          0 :     w-&gt;getParser()-&gt;addNode(n, new QString(&quot;VarNode&quot;));</span></a>
<a name="297"><span class="lineNum">     297 </span>            :     // connect(n-&gt;getVarName(), &amp;QLineEdit::editingFinished, w,</a>
<a name="298"><span class="lineNum">     298 </span>            :     // &amp;T::onVarNameEntered);</a>
<a name="299"><span class="lineNum">     299 </span><span class="lineNoCov">          0 :     variable = new QListWidgetItem(w-&gt;tr(n-&gt;getNodeId().toUtf8().constData()),</span></a>
<a name="300"><span class="lineNum">     300 </span><span class="lineNoCov">          0 :                                    w-&gt;getUi()-&gt;listVars);</span></a>
<a name="301"><span class="lineNum">     301 </span><span class="lineNoCov">          0 :     w-&gt;_inicializedVars.append(variable);</span></a>
<a name="302"><span class="lineNum">     302 </span><span class="lineNoCov">          0 :     w-&gt;_inicializedVarsIds.append(n-&gt;getNodeId().toUtf8().constData());</span></a>
<a name="303"><span class="lineNum">     303 </span><span class="lineNoCov">          0 :   } else if (item-&gt;text().compare(&quot;&gt;&quot;) == 0) {</span></a>
<a name="304"><span class="lineNum">     304 </span><span class="lineNoCov">          0 :     BinaryFunction *n = new BinaryFunction(&quot;Binary_vece&quot;, 3, 1);</span></a>
<a name="305"><span class="lineNum">     305 </span><span class="lineNoCov">          0 :     w-&gt;getUi()-&gt;StagingArea-&gt;addWidget(n);</span></a>
<a name="306"><span class="lineNum">     306 </span><span class="lineNoCov">          0 :     w-&gt;getParser()-&gt;addNode(n, new QString(&quot;VeceNode&quot;));</span></a>
<a name="307"><span class="lineNum">     307 </span><span class="lineNoCov">          0 :   } else if (item-&gt;text().compare(&quot;AND&quot;) == 0) {</span></a>
<a name="308"><span class="lineNum">     308 </span><span class="lineNoCov">          0 :     BinaryFunction *n = new BinaryFunction(&quot;Binary_i&quot;, 3, 1);</span></a>
<a name="309"><span class="lineNum">     309 </span><span class="lineNoCov">          0 :     w-&gt;getUi()-&gt;StagingArea-&gt;addWidget(n);</span></a>
<a name="310"><span class="lineNum">     310 </span><span class="lineNoCov">          0 :     w-&gt;getParser()-&gt;addNode(n, new QString(&quot;INode&quot;));</span></a>
<a name="311"><span class="lineNum">     311 </span><span class="lineNoCov">          0 :   } else if (item-&gt;text().compare(&quot;OR&quot;) == 0) {</span></a>
<a name="312"><span class="lineNum">     312 </span><span class="lineNoCov">          0 :     BinaryFunction *n = new BinaryFunction(&quot;Binary_ili&quot;, 3, 1);</span></a>
<a name="313"><span class="lineNum">     313 </span><span class="lineNoCov">          0 :     w-&gt;getUi()-&gt;StagingArea-&gt;addWidget(n);</span></a>
<a name="314"><span class="lineNum">     314 </span><span class="lineNoCov">          0 :     w-&gt;getParser()-&gt;addNode(n, new QString(&quot;IliNode&quot;));</span></a>
<a name="315"><span class="lineNum">     315 </span><span class="lineNoCov">          0 :   } else if (item-&gt;text().compare(&quot;NOT&quot;) == 0) {</span></a>
<a name="316"><span class="lineNum">     316 </span><span class="lineNoCov">          0 :     Node *n = new Node(&quot;Not&quot;, 2, 1, {}, &quot;!#1&quot;);</span></a>
<a name="317"><span class="lineNum">     317 </span><span class="lineNoCov">          0 :     n-&gt;setColors({'q', 'b', 'b'});</span></a>
<a name="318"><span class="lineNum">     318 </span><span class="lineNoCov">          0 :     n-&gt;setMaximumWidth(120);</span></a>
<a name="319"><span class="lineNum">     319 </span><span class="lineNoCov">          0 :     static_cast&lt;QGridLayout *&gt;(n-&gt;layout())</span></a>
<a name="320"><span class="lineNum">     320 </span><span class="lineNoCov">          0 :         -&gt;itemAtPosition(1, 1)</span></a>
<a name="321"><span class="lineNum">     321 </span><span class="lineNoCov">          0 :         -&gt;widget()</span></a>
<a name="322"><span class="lineNum">     322 </span><span class="lineNoCov">          0 :         -&gt;hide();</span></a>
<a name="323"><span class="lineNum">     323 </span><span class="lineNoCov">          0 :     static_cast&lt;QGridLayout *&gt;(n-&gt;layout())</span></a>
<a name="324"><span class="lineNum">     324 </span><span class="lineNoCov">          0 :         -&gt;itemAtPosition(2, 1)</span></a>
<a name="325"><span class="lineNum">     325 </span><span class="lineNoCov">          0 :         -&gt;widget()</span></a>
<a name="326"><span class="lineNum">     326 </span><span class="lineNoCov">          0 :         -&gt;hide();</span></a>
<a name="327"><span class="lineNum">     327 </span><span class="lineNoCov">          0 :     w-&gt;getUi()-&gt;StagingArea-&gt;addWidget(n);</span></a>
<a name="328"><span class="lineNum">     328 </span><span class="lineNoCov">          0 :     w-&gt;getParser()-&gt;addNode(n, new QString(&quot;not&quot;));</span></a>
<a name="329"><span class="lineNum">     329 </span><span class="lineNoCov">          0 :   } else if (item-&gt;text().compare(&quot;==&quot;) == 0) {</span></a>
<a name="330"><span class="lineNum">     330 </span><span class="lineNoCov">          0 :     BinaryFunction *n = new BinaryFunction(&quot;Binary_jednako&quot;, 3, 1);</span></a>
<a name="331"><span class="lineNum">     331 </span><span class="lineNoCov">          0 :     w-&gt;getUi()-&gt;StagingArea-&gt;addWidget(n);</span></a>
<a name="332"><span class="lineNum">     332 </span><span class="lineNoCov">          0 :     w-&gt;getParser()-&gt;addNode(n, new QString(&quot;JednakoNode&quot;));</span></a>
<a name="333"><span class="lineNum">     333 </span><span class="lineNoCov">          0 :   } else if (item-&gt;text().compare(&quot;&lt;=&quot;) == 0) {</span></a>
<a name="334"><span class="lineNum">     334 </span><span class="lineNoCov">          0 :     BinaryFunction *n = new BinaryFunction(&quot;Binary_manjeJednako&quot;, 3, 1);</span></a>
<a name="335"><span class="lineNum">     335 </span><span class="lineNoCov">          0 :     w-&gt;getUi()-&gt;StagingArea-&gt;addWidget(n);</span></a>
<a name="336"><span class="lineNum">     336 </span><span class="lineNoCov">          0 :     w-&gt;getParser()-&gt;addNode(n, new QString(&quot;MJNode&quot;));</span></a>
<a name="337"><span class="lineNum">     337 </span><span class="lineNoCov">          0 :   } else if (item-&gt;text().compare(&quot;&gt;=&quot;) == 0) {</span></a>
<a name="338"><span class="lineNum">     338 </span><span class="lineNoCov">          0 :     BinaryFunction *n = new BinaryFunction(&quot;Binary_veceJednako&quot;, 3, 1);</span></a>
<a name="339"><span class="lineNum">     339 </span><span class="lineNoCov">          0 :     w-&gt;getUi()-&gt;StagingArea-&gt;addWidget(n);</span></a>
<a name="340"><span class="lineNum">     340 </span><span class="lineNoCov">          0 :     w-&gt;getParser()-&gt;addNode(n, new QString(&quot;VJNode&quot;));</span></a>
<a name="341"><span class="lineNum">     341 </span><span class="lineNoCov">          0 :   } else if (item-&gt;text().compare(&quot;+Vector&quot;) == 0) {</span></a>
<a name="342"><span class="lineNum">     342 </span><span class="lineNoCov">          0 :     VectorNode *n = new VectorNode(w-&gt;_classInicializedList);</span></a>
<a name="343"><span class="lineNum">     343 </span><span class="lineNoCov">          0 :     w-&gt;getUi()-&gt;StagingArea-&gt;addWidget(n);</span></a>
<a name="344"><span class="lineNum">     344 </span><span class="lineNoCov">          0 :     w-&gt;getParser()-&gt;addNode(n, new QString(&quot;VectorNode&quot;));</span></a>
<a name="345"><span class="lineNum">     345 </span><span class="lineNoCov">          0 :     variable = new QListWidgetItem(w-&gt;tr(n-&gt;getNodeId().toUtf8().constData()),</span></a>
<a name="346"><span class="lineNum">     346 </span><span class="lineNoCov">          0 :                                    w-&gt;getUi()-&gt;listVars);</span></a>
<a name="347"><span class="lineNum">     347 </span><span class="lineNoCov">          0 :     w-&gt;_inicializedVars.append(variable);</span></a>
<a name="348"><span class="lineNum">     348 </span><span class="lineNoCov">          0 :     w-&gt;_inicializedVarsIds.append(n-&gt;getNodeId().toUtf8().constData());</span></a>
<a name="349"><span class="lineNum">     349 </span><span class="lineNoCov">          0 :     w-&gt;getParser()-&gt;setHeader(&quot;vector&quot;);</span></a>
<a name="350"><span class="lineNum">     350 </span><span class="lineNoCov">          0 :   } else if (item-&gt;text().compare(&quot;+VectorOperations&quot;) == 0) {</span></a>
<a name="351"><span class="lineNum">     351 </span><span class="lineNoCov">          0 :     VectorOperations *n = new VectorOperations();</span></a>
<a name="352"><span class="lineNum">     352 </span><span class="lineNoCov">          0 :     w-&gt;getUi()-&gt;StagingArea-&gt;addWidget(n);</span></a>
<a name="353"><span class="lineNum">     353 </span><span class="lineNoCov">          0 :     w-&gt;getParser()-&gt;addNode(n, new QString(&quot;VectorOperations&quot;));</span></a>
<a name="354"><span class="lineNum">     354 </span><span class="lineNoCov">          0 :     w-&gt;getParser()-&gt;setHeader(&quot;vector&quot;);</span></a>
<a name="355"><span class="lineNum">     355 </span><span class="lineNoCov">          0 :   } else if (item-&gt;text().compare(&quot;+Stack&quot;) == 0) {</span></a>
<a name="356"><span class="lineNum">     356 </span><span class="lineNoCov">          0 :     StackNode *n = new StackNode(w-&gt;_classInicializedList);</span></a>
<a name="357"><span class="lineNum">     357 </span><span class="lineNoCov">          0 :     w-&gt;getUi()-&gt;StagingArea-&gt;addWidget(n);</span></a>
<a name="358"><span class="lineNum">     358 </span><span class="lineNoCov">          0 :     w-&gt;getParser()-&gt;addNode(n, new QString(&quot;StackNode&quot;));</span></a>
<a name="359"><span class="lineNum">     359 </span><span class="lineNoCov">          0 :     variable = new QListWidgetItem(w-&gt;tr(n-&gt;getNodeId().toUtf8().constData()),</span></a>
<a name="360"><span class="lineNum">     360 </span><span class="lineNoCov">          0 :                                    w-&gt;getUi()-&gt;listVars);</span></a>
<a name="361"><span class="lineNum">     361 </span><span class="lineNoCov">          0 :     w-&gt;_inicializedVars.append(variable);</span></a>
<a name="362"><span class="lineNum">     362 </span><span class="lineNoCov">          0 :     w-&gt;_inicializedVarsIds.append(n-&gt;getNodeId().toUtf8().constData());</span></a>
<a name="363"><span class="lineNum">     363 </span><span class="lineNoCov">          0 :     w-&gt;getParser()-&gt;setHeader(&quot;stack&quot;);</span></a>
<a name="364"><span class="lineNum">     364 </span><span class="lineNoCov">          0 :   } else if (item-&gt;text().compare(&quot;+StackOperations&quot;) == 0) {</span></a>
<a name="365"><span class="lineNum">     365 </span><span class="lineNoCov">          0 :     StackOperations *n = new StackOperations();</span></a>
<a name="366"><span class="lineNum">     366 </span><span class="lineNoCov">          0 :     w-&gt;getUi()-&gt;StagingArea-&gt;addWidget(n);</span></a>
<a name="367"><span class="lineNum">     367 </span><span class="lineNoCov">          0 :     w-&gt;getParser()-&gt;addNode(n, new QString(&quot;StackOperations&quot;));</span></a>
<a name="368"><span class="lineNum">     368 </span><span class="lineNoCov">          0 :     w-&gt;getParser()-&gt;setHeader(&quot;stack&quot;);</span></a>
<a name="369"><span class="lineNum">     369 </span><span class="lineNoCov">          0 :   } else if (item-&gt;text().compare(&quot;+Queue&quot;) == 0) {</span></a>
<a name="370"><span class="lineNum">     370 </span><span class="lineNoCov">          0 :     QueueNode *n = new QueueNode(w-&gt;_classInicializedList);</span></a>
<a name="371"><span class="lineNum">     371 </span><span class="lineNoCov">          0 :     w-&gt;getUi()-&gt;StagingArea-&gt;addWidget(n);</span></a>
<a name="372"><span class="lineNum">     372 </span><span class="lineNoCov">          0 :     w-&gt;getParser()-&gt;addNode(n, new QString(&quot;QueueNode&quot;));</span></a>
<a name="373"><span class="lineNum">     373 </span><span class="lineNoCov">          0 :     variable = new QListWidgetItem(w-&gt;tr(n-&gt;getNodeId().toUtf8().constData()),</span></a>
<a name="374"><span class="lineNum">     374 </span><span class="lineNoCov">          0 :                                    w-&gt;getUi()-&gt;listVars);</span></a>
<a name="375"><span class="lineNum">     375 </span><span class="lineNoCov">          0 :     w-&gt;_inicializedVars.append(variable);</span></a>
<a name="376"><span class="lineNum">     376 </span><span class="lineNoCov">          0 :     w-&gt;_inicializedVarsIds.append(n-&gt;getNodeId().toUtf8().constData());</span></a>
<a name="377"><span class="lineNum">     377 </span><span class="lineNoCov">          0 :     w-&gt;getParser()-&gt;setHeader(&quot;queue&quot;);</span></a>
<a name="378"><span class="lineNum">     378 </span><span class="lineNoCov">          0 :   } else if (item-&gt;text().compare(&quot;+QueueOperations&quot;) == 0) {</span></a>
<a name="379"><span class="lineNum">     379 </span><span class="lineNoCov">          0 :     QueueOperations *n = new QueueOperations();</span></a>
<a name="380"><span class="lineNum">     380 </span><span class="lineNoCov">          0 :     w-&gt;getUi()-&gt;StagingArea-&gt;addWidget(n);</span></a>
<a name="381"><span class="lineNum">     381 </span><span class="lineNoCov">          0 :     w-&gt;getParser()-&gt;addNode(n, new QString(&quot;QueueOperations&quot;));</span></a>
<a name="382"><span class="lineNum">     382 </span><span class="lineNoCov">          0 :     w-&gt;getParser()-&gt;setHeader(&quot;queue&quot;);</span></a>
<a name="383"><span class="lineNum">     383 </span><span class="lineNoCov">          0 :   } else if (item-&gt;text().compare(&quot;;&quot;) == 0) {</span></a>
<a name="384"><span class="lineNum">     384 </span><span class="lineNoCov">          0 :     EndOfStatement *n = new EndOfStatement();</span></a>
<a name="385"><span class="lineNum">     385 </span><span class="lineNoCov">          0 :     w-&gt;getUi()-&gt;StagingArea-&gt;addWidget(n);</span></a>
<a name="386"><span class="lineNum">     386 </span><span class="lineNoCov">          0 :     w-&gt;getParser()-&gt;addNode(n, new QString(&quot;EndOfStatement&quot;));</span></a>
<a name="387"><span class="lineNum">     387 </span><span class="lineNoCov">          0 :   } else if (item-&gt;text().compare(&quot;++/--&quot;) == 0) {</span></a>
<a name="388"><span class="lineNum">     388 </span><span class="lineNoCov">          0 :     IncDecNode *n = new IncDecNode();</span></a>
<a name="389"><span class="lineNum">     389 </span><span class="lineNoCov">          0 :     w-&gt;getUi()-&gt;StagingArea-&gt;addWidget(n);</span></a>
<a name="390"><span class="lineNum">     390 </span><span class="lineNoCov">          0 :     w-&gt;getParser()-&gt;addNode(n, new QString(&quot;IncDec&quot;));</span></a>
<a name="391"><span class="lineNum">     391 </span><span class="lineNoCov">          0 :   } else if (item-&gt;text().compare(&quot;+Dictionary&quot;) == 0) {</span></a>
<a name="392"><span class="lineNum">     392 </span><span class="lineNoCov">          0 :     MapNode *n = new MapNode(w-&gt;_classInicializedList);</span></a>
<a name="393"><span class="lineNum">     393 </span><span class="lineNoCov">          0 :     w-&gt;getUi()-&gt;StagingArea-&gt;addWidget(n);</span></a>
<a name="394"><span class="lineNum">     394 </span><span class="lineNoCov">          0 :     w-&gt;getParser()-&gt;addNode(n, new QString(&quot;Map&quot;));</span></a>
<a name="395"><span class="lineNum">     395 </span><span class="lineNoCov">          0 :     variable = new QListWidgetItem(w-&gt;tr(n-&gt;getNodeId().toUtf8().constData()),</span></a>
<a name="396"><span class="lineNum">     396 </span><span class="lineNoCov">          0 :                                    w-&gt;getUi()-&gt;listVars);</span></a>
<a name="397"><span class="lineNum">     397 </span><span class="lineNoCov">          0 :     w-&gt;_inicializedVars.append(variable);</span></a>
<a name="398"><span class="lineNum">     398 </span><span class="lineNoCov">          0 :     w-&gt;_inicializedVarsIds.append(n-&gt;getNodeId().toUtf8().constData());</span></a>
<a name="399"><span class="lineNum">     399 </span><span class="lineNoCov">          0 :     w-&gt;getParser()-&gt;setHeader(&quot;map&quot;);</span></a>
<a name="400"><span class="lineNum">     400 </span><span class="lineNoCov">          0 :   } else if (item-&gt;text().compare(&quot;+Time&quot;) == 0) {</span></a>
<a name="401"><span class="lineNum">     401 </span><span class="lineNoCov">          0 :     Node *n = new Node(&quot;time&quot;, 1, 1, {}, &quot;#0time(NULL)&quot;);</span></a>
<a name="402"><span class="lineNum">     402 </span><span class="lineNoCov">          0 :     n-&gt;setColors({'q', 'i'});</span></a>
<a name="403"><span class="lineNum">     403 </span><span class="lineNoCov">          0 :     static_cast&lt;QGridLayout *&gt;(n-&gt;layout())</span></a>
<a name="404"><span class="lineNum">     404 </span><span class="lineNoCov">          0 :         -&gt;itemAtPosition(1, 1)</span></a>
<a name="405"><span class="lineNum">     405 </span><span class="lineNoCov">          0 :         -&gt;widget()</span></a>
<a name="406"><span class="lineNum">     406 </span><span class="lineNoCov">          0 :         -&gt;hide();</span></a>
<a name="407"><span class="lineNum">     407 </span><span class="lineNoCov">          0 :     w-&gt;getUi()-&gt;StagingArea-&gt;addWidget(n);</span></a>
<a name="408"><span class="lineNum">     408 </span><span class="lineNoCov">          0 :     w-&gt;getParser()-&gt;addNode(n, new QString(&quot;Time&quot;));</span></a>
<a name="409"><span class="lineNum">     409 </span><span class="lineNoCov">          0 :     w-&gt;getParser()-&gt;setHeader(&quot;ctime&quot;);</span></a>
<a name="410"><span class="lineNum">     410 </span><span class="lineNoCov">          0 :   } else if (item-&gt;text().compare(&quot;+Rand&quot;) == 0) {</span></a>
<a name="411"><span class="lineNum">     411 </span><span class="lineNoCov">          0 :     Node *n = new Node(&quot;Rand&quot;, 1, 1, {}, &quot;#0rand()&quot;);</span></a>
<a name="412"><span class="lineNum">     412 </span><span class="lineNoCov">          0 :     n-&gt;setColors({'q', 'i'});</span></a>
<a name="413"><span class="lineNum">     413 </span><span class="lineNoCov">          0 :     static_cast&lt;QGridLayout *&gt;(n-&gt;layout())</span></a>
<a name="414"><span class="lineNum">     414 </span><span class="lineNoCov">          0 :         -&gt;itemAtPosition(1, 1)</span></a>
<a name="415"><span class="lineNum">     415 </span><span class="lineNoCov">          0 :         -&gt;widget()</span></a>
<a name="416"><span class="lineNum">     416 </span><span class="lineNoCov">          0 :         -&gt;hide();</span></a>
<a name="417"><span class="lineNum">     417 </span><span class="lineNoCov">          0 :     w-&gt;getUi()-&gt;StagingArea-&gt;addWidget(n);</span></a>
<a name="418"><span class="lineNum">     418 </span><span class="lineNoCov">          0 :     w-&gt;getParser()-&gt;addNode(n, new QString(&quot;Rand&quot;));</span></a>
<a name="419"><span class="lineNum">     419 </span><span class="lineNoCov">          0 :     w-&gt;getParser()-&gt;setHeader(&quot;random&quot;);</span></a>
<a name="420"><span class="lineNum">     420 </span><span class="lineNoCov">          0 :   } else if (item-&gt;text().compare(&quot;+srand&quot;) == 0) {</span></a>
<a name="421"><span class="lineNum">     421 </span><span class="lineNoCov">          0 :     Node *n = new SrandNode();</span></a>
<a name="422"><span class="lineNum">     422 </span><span class="lineNoCov">          0 :     w-&gt;getUi()-&gt;StagingArea-&gt;addWidget(n);</span></a>
<a name="423"><span class="lineNum">     423 </span><span class="lineNoCov">          0 :     w-&gt;getParser()-&gt;addNode(n, new QString(&quot;srand&quot;));</span></a>
<a name="424"><span class="lineNum">     424 </span><span class="lineNoCov">          0 :     w-&gt;getParser()-&gt;setHeader(&quot;random&quot;);</span></a>
<a name="425"><span class="lineNum">     425 </span><span class="lineNoCov">          0 :   } else if (item-&gt;text().compare(&quot;+PI&quot;) == 0) {</span></a>
<a name="426"><span class="lineNum">     426 </span><span class="lineNoCov">          0 :     Node *n = new Node(&quot;Pi&quot;, 1, 1, {}, &quot;3.14159265359&quot;);</span></a>
<a name="427"><span class="lineNum">     427 </span><span class="lineNoCov">          0 :     n-&gt;setColors({'q', 'f'});</span></a>
<a name="428"><span class="lineNum">     428 </span><span class="lineNoCov">          0 :     static_cast&lt;QGridLayout *&gt;(n-&gt;layout())</span></a>
<a name="429"><span class="lineNum">     429 </span><span class="lineNoCov">          0 :         -&gt;itemAtPosition(1, 1)</span></a>
<a name="430"><span class="lineNum">     430 </span><span class="lineNoCov">          0 :         -&gt;widget()</span></a>
<a name="431"><span class="lineNum">     431 </span><span class="lineNoCov">          0 :         -&gt;hide();</span></a>
<a name="432"><span class="lineNum">     432 </span><span class="lineNoCov">          0 :     w-&gt;getUi()-&gt;StagingArea-&gt;addWidget(n);</span></a>
<a name="433"><span class="lineNum">     433 </span><span class="lineNoCov">          0 :     w-&gt;getParser()-&gt;addNode(n, new QString(&quot;Pi&quot;));</span></a>
<a name="434"><span class="lineNum">     434 </span><span class="lineNoCov">          0 :   } else if (item-&gt;text().compare(&quot;+Break&quot;) == 0) {</span></a>
<a name="435"><span class="lineNum">     435 </span><span class="lineNoCov">          0 :     BreakNode *n = new BreakNode();</span></a>
<a name="436"><span class="lineNum">     436 </span><span class="lineNoCov">          0 :     w-&gt;getUi()-&gt;StagingArea-&gt;addWidget(n);</span></a>
<a name="437"><span class="lineNum">     437 </span><span class="lineNoCov">          0 :     w-&gt;getParser()-&gt;addNode(n, new QString(&quot;break&quot;));</span></a>
<a name="438"><span class="lineNum">     438 </span><span class="lineNoCov">          0 :     w-&gt;getParser()-&gt;setHeader(&quot;break&quot;);</span></a>
<a name="439"><span class="lineNum">     439 </span><span class="lineNoCov">          0 :   } else if (item-&gt;text().compare(&quot;+Continue&quot;) == 0) {</span></a>
<a name="440"><span class="lineNum">     440 </span><span class="lineNoCov">          0 :     ContinueNode *n = new ContinueNode();</span></a>
<a name="441"><span class="lineNum">     441 </span><span class="lineNoCov">          0 :     w-&gt;getUi()-&gt;StagingArea-&gt;addWidget(n);</span></a>
<a name="442"><span class="lineNum">     442 </span><span class="lineNoCov">          0 :     w-&gt;getParser()-&gt;addNode(n, new QString(&quot;continue&quot;));</span></a>
<a name="443"><span class="lineNum">     443 </span><span class="lineNoCov">          0 :     w-&gt;getParser()-&gt;setHeader(&quot;continue&quot;);</span></a>
<a name="444"><span class="lineNum">     444 </span><span class="lineNoCov">          0 :   } else if (item-&gt;text().compare(&quot;+DictionaryOperations&quot;) == 0) {</span></a>
<a name="445"><span class="lineNum">     445 </span><span class="lineNoCov">          0 :     MapOperations *n = new MapOperations();</span></a>
<a name="446"><span class="lineNum">     446 </span><span class="lineNoCov">          0 :     w-&gt;getUi()-&gt;StagingArea-&gt;addWidget(n);</span></a>
<a name="447"><span class="lineNum">     447 </span><span class="lineNoCov">          0 :     w-&gt;getParser()-&gt;addNode(n, new QString(&quot;mapOperations&quot;));</span></a>
<a name="448"><span class="lineNum">     448 </span><span class="lineNoCov">          0 :     w-&gt;getParser()-&gt;setHeader(&quot;mapOperations&quot;);</span></a>
<a name="449"><span class="lineNum">     449 </span><span class="lineNoCov">          0 :   } else if (item-&gt;text().compare(&quot;+toString&quot;) == 0) {</span></a>
<a name="450"><span class="lineNum">     450 </span><span class="lineNoCov">          0 :     Node *n = new Node(&quot;toString&quot;, 1, 1, {}, &quot;to_string(#0)&quot;);</span></a>
<a name="451"><span class="lineNum">     451 </span><span class="lineNoCov">          0 :     static_cast&lt;QGridLayout *&gt;(n-&gt;layout())</span></a>
<a name="452"><span class="lineNum">     452 </span><span class="lineNoCov">          0 :         -&gt;itemAtPosition(1, 1)</span></a>
<a name="453"><span class="lineNum">     453 </span><span class="lineNoCov">          0 :         -&gt;widget()</span></a>
<a name="454"><span class="lineNum">     454 </span><span class="lineNoCov">          0 :         -&gt;hide();</span></a>
<a name="455"><span class="lineNum">     455 </span><span class="lineNoCov">          0 :     n-&gt;setColors({'n', 's'});</span></a>
<a name="456"><span class="lineNum">     456 </span><span class="lineNoCov">          0 :     w-&gt;getUi()-&gt;StagingArea-&gt;addWidget(n);</span></a>
<a name="457"><span class="lineNum">     457 </span><span class="lineNoCov">          0 :     w-&gt;getParser()-&gt;addNode(n, new QString(&quot;toString&quot;));</span></a>
<a name="458"><span class="lineNum">     458 </span><span class="lineNoCov">          0 :   } else if (item-&gt;text().compare(&quot;+toInt&quot;) == 0) {</span></a>
<a name="459"><span class="lineNum">     459 </span><span class="lineNoCov">          0 :     Node *n = new Node(&quot;toInt&quot;, 1, 1, {}, &quot;(int)#0&quot;);</span></a>
<a name="460"><span class="lineNum">     460 </span><span class="lineNoCov">          0 :     static_cast&lt;QGridLayout *&gt;(n-&gt;layout())</span></a>
<a name="461"><span class="lineNum">     461 </span><span class="lineNoCov">          0 :         -&gt;itemAtPosition(1, 1)</span></a>
<a name="462"><span class="lineNum">     462 </span><span class="lineNoCov">          0 :         -&gt;widget()</span></a>
<a name="463"><span class="lineNum">     463 </span><span class="lineNoCov">          0 :         -&gt;hide();</span></a>
<a name="464"><span class="lineNum">     464 </span><span class="lineNoCov">          0 :     n-&gt;setColors({'f', 'i'});</span></a>
<a name="465"><span class="lineNum">     465 </span><span class="lineNoCov">          0 :     w-&gt;getUi()-&gt;StagingArea-&gt;addWidget(n);</span></a>
<a name="466"><span class="lineNum">     466 </span><span class="lineNoCov">          0 :     w-&gt;getParser()-&gt;addNode(n, new QString(&quot;toInt&quot;));</span></a>
<a name="467"><span class="lineNum">     467 </span>            :   }</a>
<a name="468"><span class="lineNum">     468 </span>            : </a>
<a name="469"><span class="lineNum">     469 </span>            :   // postavlja policy za meni koji se otvara desnim klikom</a>
<a name="470"><span class="lineNum">     470 </span><span class="lineNoCov">          0 :   for (Node *object : w-&gt;getParser()-&gt;getGraphScene()) {</span></a>
<a name="471"><span class="lineNum">     471 </span><span class="lineNoCov">          0 :     object-&gt;setContextMenuPolicy(w-&gt;contextMenuPolicy());</span></a>
<a name="472"><span class="lineNum">     472 </span>            :   }</a>
<a name="473"><span class="lineNum">     473 </span><span class="lineNoCov">          0 : }</span></a>
<a name="474"><span class="lineNum">     474 </span>            : #endif // REALLYBIGFUNCTIONSTHATYOUDONTNEEDTOSEE_H</a>
</pre>
      </td>
    </tr>
  </table>
  <br>

  <table width="100%" border=0 cellspacing=0 cellpadding=0>
    <tr><td class="ruler"><img src="../../../../../../glass.png" width=3 height=3 alt=""></td></tr>
    <tr><td class="versionInfo">Generated by: <a href="http://ltp.sourceforge.net/coverage/lcov.php" target="_parent">LCOV version 1.14</a></td></tr>
  </table>
  <br>

</body>
</html>
